Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.peripheral
Interface INorFlashSector

All Known Implementing Classes:
  SimulatedNorFlashSector

    public interface INorFlashSector

Define a segment of memory which is defined as being of type NOR Flash. The read-only mode of NOR memories is similar to reading from a common memory, provided address and data bus is mapped correctly, so NOR flash memory is much like any address-mapped memory. NOR flash memories can be used as execute-in-place memory (XIP), meaning it behaves as a ROM memory mapped to a certain address. A NOR flash sector can be completely erased, setting all bits to 1s. Writing simply sets some bits from 1 to 0. Setting a bit from 0 to 1, requires the complete sector to be erased.

Field Summary
`static int` | `RMS_PURPOSED`
`static int` | `SYSTEM_PURPOSED`
`static int` | `USER_PURPOSED`

Method Summary
`void` | `erase()`
`void` | `getBytes(int memoryOffset, byte[] buffer, int bufferOffset, int length)`
`byte` | `getErasedValue()`
`int` | `getPurpose()`
`int` | `getSize()`
`Address` | `getStartAddress()`
`void` | `setBytes(int memoryOffset, byte[] buffer, int bufferOffset, int length)`

Field Detail

### USER_PURPOSED

    static final int USER_PURPOSED

See Also:
  Constant Field Values

### SYSTEM_PURPOSED

    static final int SYSTEM_PURPOSED

See Also:
  Constant Field Values

### RMS_PURPOSED

    static final int RMS_PURPOSED

See Also:
  Constant Field Values

Method Detail

### erase

    void erase()

### getBytes

    void getBytes(int memoryOffset,
                  byte[] buffer,
                  int bufferOffset,
                  int length)

### getErasedValue

    byte getErasedValue()

### getPurpose

    int getPurpose()

### getSize

    int getSize()

### getStartAddress

    Address getStartAddress()

### setBytes

    void setBytes(int memoryOffset,
                  byte[] buffer,
                  int bufferOffset,
                  int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"